## phpldapadmin 0.9.4

=== lang/Makefile ===
# 
# This Makefile (lang/Makefile) converts the source lang files to UTF8
# coding. You need iconv installed to use it.
# $Header: /cvsroot/phpldapadmin/phpldapadmin/lang/Makefile,v 1.18 2004/03/19 20:25:50 i18phpldapadmin Exp $
# ToDo: detect the encoding in the "source"
#
# posible detect of the language
#  echo `cat de.php | grep "logged_in_as" | sed s/".*="//g | file - | sed s/".*: "//g | sed s/" .*"//g`
#
# or 
# 
# maybe like this
#  cat LANG.php | sed s/"^\/"//g | sed s/".*= "//g  | sed s/";.*"//g | grep -v "<"| file - | sed s/".*: "//g | sed s/" .*"//g      

# Where to place the recoded language files
DESTDIR=./recoded
# Path to the iconv binary
ICONV=iconv
# Path to the PHP binary
PHP=php

TARGETS=${DESTDIR}/auto.php \
		${DESTDIR}/ca.php \
		${DESTDIR}/de.php \
		${DESTDIR}/en.php \
		${DESTDIR}/es.php \
		${DESTDIR}/fr.php \
		${DESTDIR}/it.php \
		${DESTDIR}/nl.php \
		${DESTDIR}/pl.php \
		${DESTDIR}/pt-br.php \
		${DESTDIR}/ru.php \
		${DESTDIR}/sv.php \
		${DESTDIR}/zz.php \
		${DESTDIR}/zzz.php

default: 
	@echo "usage:"
	@echo " make iconvlang - to generate the lang coding"
	@echo " make iconvclean - to remove the utf8-converted file in  ${DESTDIR}"

iconvlang:	prepare ${TARGETS} syntax
	@echo "Setting permissions..."
	@chmod 644 ${TARGETS}
	@echo "Done!"

syntax: 
	@echo "Starting syntax checking..."
	@which $(PHP) >/dev/null 2>&1 || ( echo "You must have '$(PHP)' installed to use this Makefile, but I could not find it in your path!" && exit 1 )
	@for i in ${TARGETS}; do ${PHP} -l $$i >/dev/null 2>&1 || ( echo "Syntax errors found in $$i!" && exit 1 ); done
	@echo "Done"

prepare:
	@echo "Starting prepare"
	@which $(ICONV) >/dev/null 2>&1 || ( echo "You must have GNU '$(ICONV)' installed to use this Makefile, but I could not find it in your path!" && exit 1 )
	@mkdir -p ${DESTDIR}
	@chmod 755 ${DESTDIR}

iconvclean:
	@echo "deleting files "${TARGETS}
	@rm -vf ${TARGETS} 
	@echo "now use 'make iconvlang' to encode, otherwise you could not use phpldapadmin"

${DESTDIR}/auto.php: 	auto.php
	@echo "Fixing encoding auto.php to UTF8 "${DESTDIR}/auto.php
	@iconv -f iso8859-1 -t utf8 auto.php > ${DESTDIR}/auto.php


${DESTDIR}/ca.php: 	ca.php
	@echo "Fixing encoding ca.php to UTF8 "${DESTDIR}/ca.php
	@iconv -f iso8859-1 -t utf8 ca.php > ${DESTDIR}/ca.php

${DESTDIR}/de.php: 	de.php
	@echo "Fixing encoding de.php to UTF8 "${DESTDIR}/de.php
	@iconv -f iso8859-1 -t utf8 de.php > ${DESTDIR}/de.php

${DESTDIR}/en.php: 	en.php
	@echo "Fixing encoding en.php to UTF8 "${DESTDIR}/en.php
	@iconv -f iso8859-1 -t utf8 en.php > ${DESTDIR}/en.php

${DESTDIR}/es.php: 	es.php
	@echo "Fixing encoding es.php to UTF8 "${DESTDIR}/es.php
	@iconv -f iso8859-1 -t utf8 es.php > ${DESTDIR}/es.php

${DESTDIR}/fr.php: 	fr.php
	@echo "Fixing encoding fr.php to UTF8 "${DESTDIR}/fr.php
	@iconv -f iso8859-1 -t utf8 fr.php > ${DESTDIR}/fr.php

${DESTDIR}/it.php: 	it.php
	@echo "Fixing encoding it.php to UTF8 "${DESTDIR}/it.php
	@iconv -f iso8859-1 -t utf8 it.php > ${DESTDIR}/it.php

${DESTDIR}/nl.php: 	nl.php
	@echo "Fixing encoding nl.php to UTF8 "${DESTDIR}/nl.php
	@iconv -f iso8859-1 -t utf8 nl.php > ${DESTDIR}/nl.php

${DESTDIR}/pl.php: 	pl.php
	@echo "Fixing encoding pl.php to UTF8 "${DESTDIR}/pl.php
	@iconv -f iso8859-2 -t utf8 pl.php > ${DESTDIR}/pl.php

${DESTDIR}/pt-br.php: 	pt-br.php
	@echo "Fixing encoding pt-br.php to UTF8 "${DESTDIR}/pt-br.php
	@iconv -f iso8859-1 -t utf8 pt-br.php > ${DESTDIR}/pt-br.php

${DESTDIR}/sv.php: 	sv.php
	@echo "Fixing encoding sv.php to UTF8 "${DESTDIR}/sv.php
	@iconv -f iso8859-1 -t utf8 sv.php > ${DESTDIR}/sv.php

${DESTDIR}/ru.php: 	ru.php
	@echo "Fixing encoding ru.php to UTF8 "${DESTDIR}/ru.php
	@iconv -f utf8 -t utf8 ru.php > ${DESTDIR}/ru.php

${DESTDIR}/zz.php:	zz.php
	@echo "Copying only the zz.php"
	@cp zz.php ${DESTDIR}/zz.php

${DESTDIR}/zzz.php:	zzz.php
	@echo "Copying only the zzz.php"
	@cp zzz.php ${DESTDIR}/zzz.php

## phpldapadmin 0.9.5

=== lang/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # 
 # This Makefile (lang/Makefile) converts the source lang files to UTF8
 # coding. You need iconv installed to use it.
-# $Header: /cvsroot/phpldapadmin/phpldapadmin/lang/Makefile,v 1.18 2004/03/19 20:25:50 i18phpldapadmin Exp $
+# $Header: /cvsroot/phpldapadmin/phpldapadmin/lang/Makefile,v 1.24 2004/12/09 14:12:16 uugdave Exp $
 # ToDo: detect the encoding in the "source"
 #
 # posible detect of the language
@@ -21,11 +21,14 @@
 
 TARGETS=${DESTDIR}/auto.php \
 		${DESTDIR}/ca.php \
+		${DESTDIR}/cz.php \
 		${DESTDIR}/de.php \
 		${DESTDIR}/en.php \
 		${DESTDIR}/es.php \
 		${DESTDIR}/fr.php \
+		${DESTDIR}/hu.php \
 		${DESTDIR}/it.php \
+		${DESTDIR}/ja.php \
 		${DESTDIR}/nl.php \
 		${DESTDIR}/pl.php \
 		${DESTDIR}/pt-br.php \
@@ -33,6 +36,8 @@
 		${DESTDIR}/sv.php \
 		${DESTDIR}/zz.php \
 		${DESTDIR}/zzz.php
+# OFF zh-tw.php
+#	        ${DESTDIR}/zh-tw.php \
 
 default: 
 	@echo "usage:"
@@ -70,6 +75,11 @@
 	@echo "Fixing encoding ca.php to UTF8 "${DESTDIR}/ca.php
 	@iconv -f iso8859-1 -t utf8 ca.php > ${DESTDIR}/ca.php
 
+${DESTDIR}/cz.php: 	cz.php
+	@echo "Fixing encoding cz.php to UTF8 "${DESTDIR}/cz.php
+	@iconv -f iso8859-2 -t utf8 cz.php > ${DESTDIR}/cz.php
+
+
 ${DESTDIR}/de.php: 	de.php
 	@echo "Fixing encoding de.php to UTF8 "${DESTDIR}/de.php
 	@iconv -f iso8859-1 -t utf8 de.php > ${DESTDIR}/de.php
@@ -86,9 +96,18 @@
 	@echo "Fixing encoding fr.php to UTF8 "${DESTDIR}/fr.php
 	@iconv -f iso8859-1 -t utf8 fr.php > ${DESTDIR}/fr.php
 
+${DESTDIR}/hu.php: 	hu.php
+	@echo "Fixing encoding hu.php to UTF8 "${DESTDIR}/hu.php
+	#@iconv -f iso8859-2 -t utf8 hu.php > ${DESTDIR}/hu.php
+	cp hu.php  ${DESTDIR}/.
+
 ${DESTDIR}/it.php: 	it.php
 	@echo "Fixing encoding it.php to UTF8 "${DESTDIR}/it.php
 	@iconv -f iso8859-1 -t utf8 it.php > ${DESTDIR}/it.php
+
+${DESTDIR}/ja.php:  ja.php
+	@echo "Copying only the ja.php"
+	@cp ja.php ${DESTDIR}/.
 
 ${DESTDIR}/nl.php: 	nl.php
 	@echo "Fixing encoding nl.php to UTF8 "${DESTDIR}/nl.php
@@ -110,11 +129,16 @@
 	@echo "Fixing encoding ru.php to UTF8 "${DESTDIR}/ru.php
 	@iconv -f utf8 -t utf8 ru.php > ${DESTDIR}/ru.php
 
+#${DESTDIR}/zh-tw.php:	zh-tw.php
+#	@echo "Copying only the zh-tw.php"
+        # 	@iconv -f utf8 -t utf8 zh-tw.php ${DESTDIR}/zh-tw.php
+        # INTERNAL BUG COULDN CONVERT IT, SO WE COPY IT
+	# cp zh-tw.php ${DESTDIR}/zh-tw.php
 ${DESTDIR}/zz.php:	zz.php
 	@echo "Copying only the zz.php"
-	@cp zz.php ${DESTDIR}/zz.php
+	@cp zz.php ${DESTDIR}/.
 
 ${DESTDIR}/zzz.php:	zzz.php
 	@echo "Copying only the zzz.php"
-	@cp zzz.php ${DESTDIR}/zzz.php
+	@cp zzz.php ${DESTDIR}/.

## phpldapadmin 1.2.0.5

=== tools/po/Makefile ===
#!/bin/bash
#
# Makefile Utility to manipulate PO and POT files
# Copyright (c) 2009 Alessandro De Zorzi - <lota@nonlontano.it>
#
# This code is part of phpLDAPadmin
# http://phpldapadmin.wiki.sourceforge.net
# Released under the same licence of phpldapadmin
#
# Current target list:
#
# all		display target
# all-mo	compile .mo files from .po translation available
# pot		create a update main POT file
# all-merge	merge last POT with each current translations (re-create POT)
# all-merge-pot	merge last POT with each current translations

LOCALEDIR = ../../locale
TEMPLATEFILES=`find ../../templates -iname *xml -exec echo -m {} \;`
EXPORTFILE = $(shell echo $${EXPORTFILE:-/tmp/launchpad-export.tgz})

all:
	@echo Please, specify a target [pot, xml-pot, all-mo, all-merge, all-merge-pot, launchpad-export]

all-mo:
	@for i in `ls -1 $(LOCALEDIR)` ; \
	do \
	    if [ -f $(LOCALEDIR)/$$i/LC_MESSAGES/messages.po ]; then \
	    echo Processing: $$i ; \
	    msgfmt -v -c --statistics $(LOCALEDIR)/$$i/LC_MESSAGES/messages.po -o $(LOCALEDIR)/$$i/LC_MESSAGES/messages.mo; \
	    fi \
	done


pot:
	@po4a-gettextize -o tags="<title> <description> <display> <hint>" -o tagsonly=1 -f xml $(TEMPLATEFILES) -p messages.pot
	@find ../../ -name *.php -exec xgettext --keyword=_ -L PHP -j --omit-header -o messages.pot -s {} \;
	@find ../../ -name *.inc -exec xgettext --keyword=_ -L PHP -j --omit-header -o messages.pot -s {} \;
	@echo messages.pot created, you might like to change the header with contents of messages.header

all-merge: pot
all-merge-pot:
	@for i in `ls -1 $(LOCALEDIR)` ; \
	do \
	    if [ -f $(LOCALEDIR)/$$i/LC_MESSAGES/messages.po ]; then \
	    echo Processing: $$i ; \
	    msgmerge -v $(LOCALEDIR)/$$i/LC_MESSAGES/messages.po messages.pot -o $$i.po; \
	    mv $$i.po $(LOCALEDIR)/$$i/LC_MESSAGES/messages.po; \
	    fi \
	done

launchpad-extract:
	@[ ! -r $(EXPORTFILE) ] && echo "No export file [$(EXPORTFILE)] found?" && exit 1 || true
	@cd $(LOCALEDIR); tar xzf $(EXPORTFILE)
	@rm -f $(LOCALEDIR)/phpldapadmin/phpldapadmin-uk.po
	@rm -f $(LOCALEDIR)/phpldapadmin/phpldapadmin.pot
	@find $(LOCALEDIR) -name phpldapadmin-\*.po | while read i; do newi=$$(echo $$i| sed -r 's/phpldapadmin-(.*).po/..\/\1\*\/LC_MESSAGES\/messages.po/'); mv $$i $$newi; done
	rmdir $(LOCALEDIR)/phpldapadmin

launchpad-export: launchpad-extract all-mo

## phpldapadmin 1.2.2

=== debian/changelog ===
phpldapadmin (1.2.2-6.3) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.

  [ Nishanth Aravamudan ]
  * Add run-time dependency on php-xml.
    Closes: #949368, LP: #1566481

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jan 2020 09:36:52 +0100

phpldapadmin (1.2.2-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "phpLDAPadmin uses features that are deprecated in PHP 7.2"
    replacing __autoload() and create_function() with spl_autoload_register()
    and function() functions. Thanks to Lars Kollstedt for providing a
    cumulative patch in message #20 of bug report (Closes: #890127).
  * Fix "binary package embeds .pc directory" removing '.pc' subfolder
    at the end of install step of debian/rules file (Closes: #878613).
  * CVE-2017-11107: XSS vulnerabilities, patch provided by Antoine
    Beaupre <anarcat@orangeseeds.org> (Closes: #867719).
  * Bug #731871 already fixed in previous revision setting ownership
    root:www-data to foder /etc/phpldapadmin/templates (Closes: #731871).

 -- Simone Rossetto <simros85@gmail.com>  Mon, 13 Jan 2020 22:48:01 +0100

phpldapadmin (1.2.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Create /etc/apache2/conf-available on the fly before trying to put a
    symlink there, fixing installation failure spotted through piuparts
    (Closes: #834015).
  * By symmetry, try to remove it (rmdir || true) in postrm, to avoid
    leaving an empty directory behind.

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 13 Oct 2017 00:52:28 +0200

phpldapadmin (1.2.2-6) unstable; urgency=medium

  * PHP 7.0 transition (Closes: #821585)
  * Bump standards to 3.9.6 (no changes)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 06 Aug 2016 09:21:21 +0200

phpldapadmin (1.2.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the php 5.5 compatibility patch for the password_hash_custom
    setting (Closes: #761637).

 -- Mika Pflüger <debian@mikapflueger.de>  Thu, 05 Feb 2015 00:41:07 +0100

phpldapadmin (1.2.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust installation of conf file for Apache 2.4 (Closes: #669840,
    LP: #1246170). Thanks to Geliy Sokolov!
  * Cherrypick patch from upstream bug tracker fixing compatibility
    with php 5.5 (Closes: #733576, LP: #1241425).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 01 May 2014 22:30:37 -0400

phpldapadmin (1.2.2-5) unstable; urgency=low

  * Debconf translations:
    - Spanish (Omar Campagne). Closes: #678119
    - Slovak (Ivan Masár). Closes: #681531
  * Bump standards to 3.9.3 (no changes)

 -- Marcus Osdoba <marcus.osdoba@googlemail.com>  Thu, 19 Jul 2012 11:31:02 +0200

phpldapadmin (1.2.2-4) unstable; urgency=low

  * Debconf translations:
    - Dutch (Jeroen Schot). Closes: #661681
    - Swedish (Martin Bagge). Closes: #661350
    - Brazilian Portugese (J.S.Júnior). Closes: #661206

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 Mar 2012 06:54:01 +0100

phpldapadmin (1.2.2-3) unstable; urgency=high

  * debian/patches/upstream-XSS-2.patch: fixes XSS vulnerabilities.
    Patch provided by Roland Gruber <post@rolandgruber.de>.
    CVE-2012-1114, CVE-2012-1115 (Closes: #662050)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 08 Mar 2012 17:07:50 +0100

phpldapadmin (1.2.2-2) unstable; urgency=low

  [ Marcus Osdoba ]
  * Not reproducible (Closes: #561387)
  * Fix pending l10n issues. Debconf translations:
    - French (Christian Perrier). Closes: #659411
    - Danish (Joe Dalton) Closes: #659445
    - Polish (Michał Kułach). Closes: #659477
    - Czech (Miroslav Kure) Closes: #659572
    - Dutch (Jeroen Schot) Closes: #660225
    - Russian (Yuri Kozlov) Closes: #660234
    - Portuguese (Traduz) Closes: #660703
    - German (Matthias Julius) Closes: #660709
  * CVE-2012-0834: XSS (Closes: #658907)
    (already included in last version SF Bug #3477910)
  * it.po with mailing address debian-l10n-italian (Closes: #660024)
  * Line 390 includes the closing comment already (Closes: #652221)

  [ Fabio Tranchitella ]
  * Added Marcus Osdoba as Uploader.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 22 Feb 2012 08:45:48 +0100

phpldapadmin (1.2.2-1) unstable; urgency=low

  [ Marcus Osdoba ]
  * Non-maintainer upload.
  * New upstream release (Closes: #605061,#499862,#505578,#517802,#642445)
  * Not reproducible in this version (Closes: #502412,#505575,#521033,#527070)
  * SF Bug #3477910 - XSS vulnerability in query
  * Remove dependency to unknown package libapache-mod-php5
  * Fix lintian warnings in templates.
  * Remove apt-dependancy to apache2 (Closes: #622657)
  * Use | instead of # for sed used in config/postinst (Closes: #616305)
  * Add browser hint in package description (Closes: #527070)
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #638680
    - Polish (Michał Kułach).  Closes: #657458
  * Bump standards to 3.9.2
  * Use quilt as source format

  [ Fabio Tranchitella ]
  * Uploaded work by Marcus Osdoba.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 08 Feb 2012 08:52:18 +0100

phpldapadmin (1.2.0.5-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2011-4074 Fix XSS vulnerability in debug code (Closes: #646769)
  * CVE-2011-4075 Fix arbitrary code execution by unauthenticated users
    (Closes: #646754)

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 27 Oct 2011 17:51:24 +0100

phpldapadmin (1.2.0.5-2) unstable; urgency=low

  [ Julien Valroff ]
  * Handle /etc/phpldapadmin/config.php as a conffile using ucf and ensure
    user changes are preserved on package uprgade (Closes: #578981) 

  [ Fabio Tranchitella ]
  * Ack previous Non-maintainer upload.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 19 Oct 2010 10:17:29 +0200

phpldapadmin (1.2.0.5-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Switch off register_globals in debian apache configuration, looking


=== debian/control ===
Source: phpldapadmin
Section: admin
Priority: extra
Maintainer: Fabio Tranchitella <kobold@debian.org>
Uploaders: Marcus Osdoba <marcus.osdoba@googlemail.com>
Build-Depends: debhelper (>= 7.0.0), po-debconf, gettext
Standards-Version: 3.9.6

Package: phpldapadmin
Architecture: all
Depends: php, php-ldap, php-xml, ucf (>= 0.28), ${misc:Depends}
Description: web based interface for administering LDAP servers
 phpLDAPadmin is a web-based LDAP client. It provides easy,
 anywhere-accessible, multi-language administration for your LDAP
 server. Its hierarchical tree-viewer and advanced search functionality
 make it intuitive to browse and administer your LDAP directory. Since it
 is a web application, this LDAP browser works on many platforms, making
 your LDAP server easily manageable from any location.
 Usually, you may access PLA by pointing your browser to
 http://<webserver>/phpldapadmin .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	debconf-updatepo
	dh_clean 

build:
	@echo "Nothing to build for target $@. PHP Code is interpreted."

build-indep:
	@echo "Nothing to build for target $@. PHP Code is interpreted."

build-arch:
	@echo "Nothing to build for target $@. PHP Code is interpreted."

install: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	find . -type f -not \( \
		-path '*/debian/*' -or \
		-path '*/templates/*' -or \
		-path '*/doc/*' -or \
		-path '*/lang' -or \
		-path '*/tools/po/*' -or \
		-name 'Makefile' -or \
		-name 'INSTALL' -or \
		-name 'LICENSE' -or \
		-name '.cvsignore' -or \
		-name 'COPYING' -or \
		-name 'build-stamp' \
	\) -exec install -D --mode=644 {} debian/phpldapadmin/usr/share/phpldapadmin/{} \;
	find ./templates -type f -a -not -name .cvsignore -exec install -D --mode=644 {} \
        debian/phpldapadmin/etc/phpldapadmin/{} \;
	for po in debian/phpldapadmin/usr/share/phpldapadmin/locale/*/LC_MESSAGES/*.po; do \
	    (cd `dirname $$po`; msgfmt messages.po); \
	done
	rm -f debian/phpldapadmin/usr/share/phpldapadmin/.gitignore || true
	rm -fr debian/phpldapadmin/usr/share/phpldapadmin/.pc || true

# Build architecture-independent files here.
binary-dep: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_compress
	dh_fixperms
	dh_install debian/conf/apache.conf /etc/phpldapadmin/
	dh_link /etc/phpldapadmin/templates /usr/share/phpldapadmin/templates
	dh_link /usr/share/doc/phpldapadmin /usr/share/phpldapadmin/doc
	dh_installdebconf -pphpldapadmin
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary install configure

## phpldapadmin 1.2.6.3

=== debian/changelog ===
phpldapadmin (1.2.6.3-0.3+deb12u1) bookworm; urgency=medium

  * Update the patch for PHP 7.4 LDAP login to work like PHP 8.1

 -- William Desportes <williamdes@wdes.fr>  Mon, 04 Sep 2023 12:14:31 +0200

phpldapadmin (1.2.6.3-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add PHP 8.0, 8.1, 8.2 patches (Closes: #1033163)
  * Add a PHP 8 openssl 3 patch (Closes: #1033163)
  * Add a patch for CVE-2020-35132 (Closes: #987355)

 -- William Desportes <williamdes@wdes.fr>  Sun, 19 Mar 2023 00:10:35 +0100

phpldapadmin (1.2.6.3-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Previous changelog also closed:
  * Make build reproducible (Closes: #834279)
  * Update to github new upstream release (Closes: #952635)
  * Fix CVE-2020-35132 (Closes: #987355)
  * Add japanese translation (Closes: #717205)
    - thanks victory for the patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jan 2022 17:56:42 +0100

phpldapadmin (1.2.6.3-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #985223 LP: #1906474).
  * Update watch file to 4
  * debian/watch: track github releases.
  * Drop all patches, now merged upstream
  * debian/patches/149.patch:
    - upstream merged change for PHP 8 compatibility
  * Drop ucf version constraint
  * Bump compat level to 13
  * Bump std-version to 4.6.0
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Apr 2021 12:47:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: extra
 Maintainer: Fabio Tranchitella <kobold@debian.org>
 Uploaders: Marcus Osdoba <marcus.osdoba@googlemail.com>
-Build-Depends: debhelper (>= 7.0.0), po-debconf, gettext
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13), po-debconf, gettext
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 
 Package: phpldapadmin
 Architecture: all
-Depends: php, php-ldap, php-xml, ucf (>= 0.28), ${misc:Depends}
+Depends: php, php-ldap, php-xml, ucf, ${misc:Depends}
 Description: web based interface for administering LDAP servers
  phpLDAPadmin is a web-based LDAP client. It provides easy,
  anywhere-accessible, multi-language administration for your LDAP

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/leenooks/phpLDAPadmin/tags .*/(\d\S*)\.tar\.gz

## phpldapadmin 1.2.6.7

=== debian/changelog ===
phpldapadmin (1.2.6.7-4) unstable; urgency=medium

  * Fix CVE-2024-9101 - A reflected cross-site scripting
  * Add a patch for ldap_connect with two arguments is deprecated
  * Remove build depends on gettext

 -- William Desportes <williamdes@wdes.fr>  Fri, 11 Apr 2025 14:30:23 +0200

phpldapadmin (1.2.6.7-3) unstable; urgency=medium

  * Fix PHP 8.4 error: Creation of dynamic property AttributeType
    (Closes: #1100771)
  * Set myself as the maintainer
  * Bump my copyright and fix GPL text
  * Bump Standards-Version to 4.7.2
  * Remove another inactive Uploader

 -- William Desportes <williamdes@wdes.fr>  Wed, 26 Mar 2025 23:34:33 +0100

phpldapadmin (1.2.6.7-2) unstable; urgency=medium
  * Add a patch for PHP 8.4 E_DEPRECATED
  * Add a patch to stop using xml_set_object for PHP 8.4 (Closes: #1089729)
  * Add a patch for Serialization of SensitiveParameterValue
  * Bump Standards-Version to 4.7.0

 -- William Desportes <williamdes@wdes.fr>  Tue, 31 Dec 2024 18:22:41 +0100

phpldapadmin (1.2.6.7-1) unstable; urgency=medium

  * New upstream version 1.2.6.7 (Fixes XSS vulnerability)
  * Drop patches released upstream
  * Refresh PHP 8.2 patch
  * Use the same invoke-rc.d detection as postinst script
  * Add a patch to update the VERSION file to 1.2.6.7
  * Remove usr/share/phpldapadmin/lang from d/dirs

 -- William Desportes <williamdes@wdes.fr>  Sun, 21 Jan 2024 11:27:04 +0100

phpldapadmin (1.2.6.6-2) unstable; urgency=medium

  * Fix armhf&i386 DEP-8 tests crash (Closes: #1053957)

 -- William Desportes <williamdes@wdes.fr>  Sun, 15 Oct 2023 00:43:30 +0200

phpldapadmin (1.2.6.6-1) unstable; urgency=medium

  * New upstream version 1.2.6.6
  * Add myself to Uploaders
  * Update Standards-Version to 4.6.2
  * Add d/upstream/metadata
  * Add Vcs-* and Homepage
  * Run wrap-and-sort
  * Add Romanian translation (Closes: #1033387)
  * Add gbp.conf
  * Update patches Forwarded fields (Closes: #706695)
  * Drop all forwarded patches (Closes: #1051391)
  * Refresh patches
  * Add a patch for PHP 8.2 deprecated $var strings
  * Add selenium DEP-8 tests
  * Improve the d/copyright

 -- William Desportes <williamdes@wdes.fr>  Wed, 13 Sep 2023 10:08:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: phpldapadmin
 Section: admin
-Priority: extra
-Maintainer: Fabio Tranchitella <kobold@debian.org>
-Uploaders: Marcus Osdoba <marcus.osdoba@googlemail.com>
-Build-Depends: debhelper-compat (= 13), po-debconf, gettext
-Standards-Version: 4.6.0
+Priority: optional
+Maintainer: William Desportes <williamdes@wdes.fr>
+Build-Depends: debhelper-compat (= 13), po-debconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/php-team/pear/phpldapadmin
+Vcs-Git: https://salsa.debian.org/php-team/pear/phpldapadmin.git -b debian/unstable
+Homepage: https://www.phpldapadmin.org/
 
 Package: phpldapadmin
 Architecture: all
 Depends: php, php-ldap, php-xml, ucf, ${misc:Depends}
+Recommends: libapache2-mod-php | lighttpd | nginx | php-fpm | httpd
+Suggests: www-browser
 Description: web based interface for administering LDAP servers
  phpLDAPadmin is a web-based LDAP client. It provides easy,
  anywhere-accessible, multi-language administration for your LDAP

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installdocs:
	mkdir debian/tmp
	cp ./hooks/classes/README ./debian/tmp/hooks-classes-README.txt
	cp ./hooks/functions/README ./debian/tmp/hooks-functions-README.txt
	cp ./hooks/functions/example.php ./debian/tmp/hooks-functions-example.php
	cp ./doc/ldif-Simpsons ./debian/tmp/Simpsons.ldif
	cp ./doc/ldif-Flintstones ./debian/tmp/Flintstones.ldif
	cp ./doc/ldif-example-com ./debian/tmp/example-com.ldif
	cp ./doc/ldif-example.com ./debian/tmp/example.com.ldif
	dh_installdocs

override_dh_fixperms:
	dh_fixperms
	# Two files with x permissions for no good reason
	find debian -path '*/htdocs/*' -name 'export*.php' -print -exec chmod -x {} +
    # rwx for owner, rx for group, r for others
	find debian -path '*/templates*' -type d -print -exec chmod 0755 {} +
    # rwx for owner, rx for group, r for others
	find debian -path '*/hooks*' -type d -print -exec chmod 0755 {} +
    # rw for owner, r for group, r for others
	find debian -path '*/templates/*' -type f -print -exec chmod 0644 {} +
    # rw for owner, r for group, r for others
	find debian -path '*/hooks/*' -type f -print -exec chmod 0644 {} +

override_dh_compress:
	dh_compress -Xuidpool.schema -X.ldif

override_dh_installdebconf:
	dh_installdebconf -pphpldapadmin

=== debian/tests/control ===
Tests: selenium
Restrictions: skip-not-installable, needs-sudo
Depends: chromium-driver,
         ldap-utils,
         lighttpd,
         php-cgi,
         python3-selenium,
         slapd,
         @
